package com.zcxk.evaluation.enums;

import lombok.Getter;

/**
 * @Description: Result 枚举类
 * @Author lihui
 * @Date 2021/5/7
 * @Version V1.0
 **/
@Getter
public enum EvaluationResultStatus {

    /**
     * 未找到相关的数据
     */
    DATA_NOT_FOUND(920000,"未找到相关的数据"),

    /**
     * 请求参数错误
     */
    PARAM_ERROR(920001,"请求参数错误"),

    /**
     * 已考核，不能修改
     */
    IS_ASSESSED(920002,"已考核，不能修改")

    ,
    ;

    private final int status;

    private final String message;

    EvaluationResultStatus(int status, String message) {
        this.status = status;
        this.message = message;
    }
}
